<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.usky.data.mapper.DataInterfaceMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.usky.data.domain.DataInterface">
        <id column="id" property="id"/>
        <result column="full_name" property="fullName"/>
        <result column="en_code" property="enCode"/>
        <result column="category" property="category"/>
        <result column="type" property="type"/>
        <result column="action" property="action"/>
        <result column="has_page" property="hasPage"/>
        <result column="is_postposition" property="isPostposition"/>
        <result column="config_json" property="dataConfigJson"/>
        <result column="count_json" property="dataCountJson"/>
        <result column="echo_json" property="dataEchoJson"/>
        <result column="js_json" property="dataJsJson"/>
        <result column="field_json" property="fieldJson"/>
        <result column="parameter_json" property="parameterJson"/>
        <result column="exception_json" property="exceptionJson"/>
        <result column="description" property="description"/>
        <result column="enabled_mark" property="enabledMark"/>
        <result column="sort_code" property="sortCode"/>
        <result column="create_by" property="createBy"/>
        <result column="create_time" property="createTime"/>
        <result column="update_by" property="updateBy"/>
        <result column="update_time" property="updateTime"/>
        <result column="delete_time" property="deleteTime"/>
        <result column="delete_by" property="deleteBy"/>
        <result column="is_delete" property="isDelete"/>
        <result column="tenant_id" property="tenantId"/>
    </resultMap>

</mapper>
